4.21 Release


#22

Works for me as well.
One thing I noticed that struct copy constructor (!copy) for my custom c++ struct doesn’t work. It crashes the sk runtime.


#23

Any estimate for the marketplace release?


#24

I’m unable to reproduce this with a custom struct in one of my projects:

!t : TextureLoaderInfo!
t.@archive := "Test"
!s : TextureLoaderInfo!copy(t)
println(s.@archive) // prints Test

Can you give me some more repro details? Are you sure your struct constructor isn’t doing something wonky?


#25

Sadly no. The UE4 marketplace release process is still a bit of a black hole, typically when you submit they estimate 15-20 business days but perhaps more around the holidays.


#26

When the marketplace version becomes available, will it have the problems mentioned above?


#27

Soon as Skookum is chosen by Epic we will not have to worry about marketplace releases… :wink:


Agog Labs joins Epic Games; RIP Sk
#29

Since the marketplace version is pre-built, it won’t contain the problem that was just fixed.


#30

It seems as if certain vendors would become trusted over time and their releases would be expedited, wishful thinking I guess.


#31

The problems I experienced were on my side. All is good. Thank you!


#32

I have tried repeatedly to get the GitHub zip version of the 4.21 plugin to work in UE4 4.21, but I get a message saying that the plugin was built with a different version of the engine and would I like to recompile. I say yes, but after a short while it tells me that it can’t and that I need to recompile from source.

I’m starting to feel that I have the IQ of a potted plant. No one else seems to be having this problem so it’s clearly something that I’m messing up. The problem is that the process is already pretty much dummy proof, which it isn’t because this dummy can’t make it work. Can anyone help?


#33

Hey Ben, can you point me towards the process you’re following? Are you pulling from the 4.21 github branch?


#34

@error454

I followed the instructions here:
First Time Install From Zip File

Yes, I have downloaded the zip file from the GitHub repo here:
https://github.com/AgogLabs/SkookumScript-UnrealEngine


#35

Ahh. Those instructions are for using a pre-built binary. The github version of the product is only usable if you’re using a source version of UE4 where you can place it into the engine plugins and compile it there. OR a C++ project. Here are the explicit instructions.

This will end up with missing files since the github download only pulls source files down, you’ll need to use git with git-lfs installed to also pull down the binaries stored in the repo.


#36

Is there a pre-built binary somewhere?


#37

Not for 4.21.


#38

Thanks for your help. I guess I’ll have to stick with 4.18 for now.


#39

A post was split to a new topic: 4.21 Compile on MacOs 10.14.3